<html>
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />

    <script src="https://sdk.amazonaws.com/js/aws-sdk-2.7.16.min.js"></script>
    <script src="{{ url_for('static', filename='js/client.js') }}" type="text/javascript"></script>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>


</head>
<body style="overflow-x:hidden;">
<div class="row justify-content-center">
    <img src="{{url_for('static',filename='logo.jpg')}}" style="width:8rem;height:4rem;">
</div>

<nav class="navbar navbar-dark bg-primary">
    <a class="navbar-brand" style="font-weight:bold;">CREDENTIALS</a>
</nav>
{% with messages = get_flashed_messages(with_categories=true) %}
  {% if messages %}
    {% for category,message in messages %}
        {% if category=='error' %}
            <div class="row justify-content-center align-item-center" style="padding:1%;color:red;">{{ message }}</div>
        {% else %}
            <div class="row justify-content-center align-item-center" style="padding:1%;color:green;">{{ message }}</div>
        {% endif %}
    {% endfor %}
  {% endif %}
{% endwith %}
<a href="{{url_for('logout')}}"  style="position:absolute;top:6rem;right:20px;font-weight:bold;color:white;text-decoration:none;">Log Out</a>
<div class="container" id="admin">
    <a href="{{url_for('admin')}}" style="position:absolute;top:6rem;left:20px;font-weight:bold;color:white;text-decoration:none;">< Admin</a>
</div>
<div class="container" id="container">

<div class="row" style="padding:1%;">

    <div class="col-sm-6">

<div class="card text-center " style="padding:1%;">
  <div class="card-header bg-dark">
    <h1 style="color:white;">SDK Credentials</h1>
  </div>

  <div class="card-body">
    <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">ClientID</div>
        <div class="col-sm-6" style="font-weight:bold;" id="sdkid"></div>
    </div>
    <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">Client Secret</div>
        <div class="col-sm-6" style="font-weight:bold;" id="sdkkey"></div>
    </div>
  </div>

</div>
        </div>
    <div class="col-sm-6">
<div class="card text-center" style="padding:1%;">
  <div class="card-header bg-dark">
    <h1 style="color:white;">Dashboard Credentials</h1>
  </div>
  <div class="card-body">
    <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">Username</div>
        <div class="col-sm-6" style="font-weight:bold;" id="dashid"></div>
    </div>
    <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">Password</div>
        <div class="col-sm-6" style="font-weight:bold;" id="dashpass"></div>
    </div>
  </div>
</div>
        </div>
</div>
<div class="row justify-content-center" style="padding:1%;">
    <div class="col-sm-8">
<div class="card text-center" style="padding:1%;" id="details">
  <div class="card-header bg-dark">
    <h1 style="color:white;">Details</h1>
  </div>
  <div class="card-body" >
      <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">Webhook</div>
        <div class="col-sm-6" style="font-weight:bold;" id="webhook"></div>
    </div>
      <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">Algo360_Process_Finished</div>
        <div class="col-sm-6" style="font-weight:bold;" id="finished"></div>
    </div>
      <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">Algo360_Process_Started</div>
        <div class="col-sm-6" style="font-weight:bold;" id="started"></div>
    </div>
      <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">Algo360_Score_Calculated</div>
        <div class="col-sm-6" style="font-weight:bold;" id="calculated"></div>
    </div>
      <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">Data_Ingested_New</div>
        <div class="col-sm-6" style="font-weight:bold;" id="new"></div>
    </div>
      <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">Data_Ingested_Incremental</div>
        <div class="col-sm-6" style="font-weight:bold;" id="increment"></div>
    </div>
      <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">isCohortActive</div>
        <div class="col-sm-6" style="font-weight:bold;" id="cohort"></div>
    </div>
      <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">web_hook_url</div>
        <div class="col-sm-6" style="font-weight:bold;" id="webhookurl"></div>
    </div>
      <div class="row" style="padding:1%;">
        <div class="col-sm-6" style="font-weight:bold;">web_hook_url_uat</div>
        <div class="col-sm-6" style="font-weight:bold;" id="webhookuat"></div>
    </div>
  </div>
</div>
        </div>
    </div>

<div class="row justify-content-center" id="edit" style="padding:1%;">
      <a href="{{url_for('edit',username=username)}}"  class="btn btn-primary">Edit</a>
</div>
</div>
</body>
</html>